{
    "name": "laravel/laravel",
    "type": "project",
    "description": "The Laravel Framework.",
    "keywords": [
        "framework",
        "laravel"
    ],
    "license": "MIT",
    "require": {
        "php": "^7.2",
        "doctrine/dbal": "^2.10",
        "fideloper/proxy": "^4.0",
        "intervention/image": "^2.5",
        "laravel/framework": "^6.0",
        "laravel/tinker": "^1.0",
        "league/flysystem-aws-s3-v3": "^1.0",
        "php-ds/php-ds": "^1.2",
        "pusher/pusher-php-server": "~4.0",
        "spatie/laravel-sitemap": "^5.5"
    },
    "require-dev": {
        "beyondcode/laravel-dump-server": "^1.0",
        "felixfbecker/language-server": "^5.4.6",
        "filp/whoops": "^2.0",
        "friendsofphp/php-cs-fixer": "^2.14",
        "fzaninotto/faker": "^1.4",
        "laravel/ui": "^1.1",
        "mockery/mockery": "^1.0",
        "nunomaduro/collision": "^3.0",
        "php-cs-fixer/phpunit-constraint-isidenticalstring": "^1.1",
        "php-cs-fixer/phpunit-constraint-xmlmatchesxsd": "^1.1",
        "phpmd/phpmd": "@stable",
        "phpunit/phpunit": "^7.5",
        "theseer/phpdox": "^0.12.0"
    },
    "config": {
        "optimize-autoloader": true,
        "preferred-install": "dist",
        "sort-packages": true,
        "discard-changes": true
    },
    "extra": {
        "laravel": {
            "dont-discover": []
        }
    },
    "autoload": {
        "psr-4": {
            "App\\": "app/"
        },
        "classmap": [
            "database/seeds",
            "database/factories"
        ]
    },
    "autoload-dev": {
        "psr-4": {
            "Tests\\": "tests/"
        }
    },
    "minimum-stability": "dev",
    "prefer-stable": true,
    "scripts": {
        "post-autoload-dump": [
            "Illuminate\\Foundation\\ComposerScripts::postAutoloadDump",
            "@php artisan package:discover --ansi"
        ],
        "post-root-package-install": [
            "@php -r \"file_exists('.env') || copy('.env.example', '.env');\""
        ],
        "post-create-project-cmd": [
            "@php artisan key:generate --ansi"
        ]
    }
}
